<?php
/**
 * Autoloader for all Symfony bridges/bundles/components and their dependencies.
 *
 * Created by php-symfony-2.7.4-1.fc23
 *
 * Note: This autoloader does not do any registration with the Doctrine
 * annotation registry (i.e. \Doctrine\Common\Annotations\AnnotationRegistry).
 *
 * @return \Symfony\Component\ClassLoader\ClassLoader
 */

// Dependency autoloaders
foreach (array(
    '/usr/share/php/Doctrine/Bundle/DoctrineBundle/autoload.php',
    '/usr/share/php/Doctrine/Common/Annotations/autoload.php',
    '/usr/share/php/Doctrine/Common/Cache/autoload.php',
    '/usr/share/php/Doctrine/Common/DataFixtures/autoload.php',
    '/usr/share/php/Doctrine/Common/autoload.php',
    '/usr/share/php/Doctrine/DBAL/autoload.php',
    '/usr/share/php/Doctrine/ORM/autoload.php',
    '/usr/share/php/Egulias/EmailValidator/autoload.php',
    '/usr/share/php/Monolog/autoload.php',
    '/usr/share/php/ProxyManager/autoload.php',
    '/usr/share/php/Psr/Log/autoload.php',
    '/usr/share/php/Twig/autoload.php',
    '/usr/share/php/password_compat/password.php',
) as $dependencyAutoloader) {
    if (file_exists($dependencyAutoloader)) {
        require_once $dependencyAutoloader;
    }
}

if (!isset($fedoraClassLoader) || !($fedoraClassLoader instanceof \Symfony\Component\ClassLoader\ClassLoader)) {
    if (!class_exists('Symfony\\Component\\ClassLoader\\ClassLoader', false)) {
        require_once __DIR__ . '/Component/ClassLoader/ClassLoader.php';
    }

    $fedoraClassLoader = new \Symfony\Component\ClassLoader\ClassLoader();
    $fedoraClassLoader->register();
}

if (!array_key_exists('Symfony\\', $fedoraClassLoader->getPrefixes())) {
    $fedoraClassLoader->addPrefix('Symfony\\', dirname(__DIR__));
}

if (!interface_exists('SessionHandlerInterface', false) && file_exists(__DIR__ . '/Component/HttpFoundation/Resources/stubs/SessionHandlerInterface.php')) {
    require_once __DIR__ . '/Component/HttpFoundation/Resources/stubs/SessionHandlerInterface.php';
}

if (file_exists('/usr/share/pear/Swift') && !array_key_exists('Swift_', $fedoraClassLoader->getPrefixes())) {
    $fedoraClassLoader->addPrefix('Swift_', '/usr/share/pear/Swift');
}

$fedoraClassLoader->setUseIncludePath(true);

return $fedoraClassLoader;
